﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WPFEditor
{
    /// <summary>
    /// Interaktionslogik für FSearch.xaml
    /// </summary>
    public partial class FSearch : Window
    {
        private static List<String> liste = new List<String>();
        private String search = "";


        private Boolean result = false;

        public Boolean Result
        {
            get { return result; }
        }
        public String SearchString
        {
            get { return search; }
        }

        public Boolean IgnoreCase
        {
            get { return chkNotIgnoreCase.IsChecked == false; }
        }


        public FSearch(Window parent)
        {
            InitializeComponent();
            this.Owner = parent;  // Important, because CenterOwner
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            // WindowStartupLocation="CenterOwner"
            this.WindowStartupLocation = WindowStartupLocation.CenterOwner;
            foreach (String s in liste)
            {
                cbSearchText.Items.Add(s);
            }
            cbSearchText.Focus();
        }

        private void bnOk_Click(object sender, RoutedEventArgs e)
        {
            search = cbSearchText.Text;
            liste.Clear();
            foreach (String s in cbSearchText.Items)
            {
                liste.Add(s);
            }
            if (cbSearchText.SelectedIndex < 0)
            {
                liste.Add(search);
            }
            result = true;
            Close();
        }

        private void bnEsc_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }
    }
}
