﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Windows.Input;

namespace WPFEditor
{
    class MyCommands
    {
        private static RoutedUICommand openfile;
        private static RoutedUICommand savefile;
        private static RoutedUICommand saveasfile;
        private static RoutedUICommand newfile;

        private static RoutedUICommand undo;
        private static RoutedUICommand redo;
        private static RoutedUICommand copy;
        private static RoutedUICommand paste;
        private static RoutedUICommand cut;
        private static RoutedUICommand selectall;

        private static RoutedUICommand search;
        private static RoutedUICommand searchAgain;

        private static RoutedUICommand newInstanz;
        private static RoutedUICommand close;
        private static RoutedUICommand wordwrap;

        static MyCommands()
        {
            newfile = new RoutedUICommand("Neue Datei", "NewFile", typeof(MyCommands));
            newfile.InputGestures.Add(new KeyGesture(Key.N, ModifierKeys.Control));  // ModifierKeys.Alt |

            openfile = new RoutedUICommand("Datei öfnen", "OpenFile", typeof(MyCommands));
            openfile.InputGestures.Add(new KeyGesture(Key.O, ModifierKeys.Control));  // ModifierKeys.Alt |

            savefile = new RoutedUICommand("Datei speichern", "SaveFile", typeof(MyCommands));
            savefile.InputGestures.Add(new KeyGesture(Key.S, ModifierKeys.Control));

            saveasfile = new RoutedUICommand("Datei speichern unter", "SaveAsFile", typeof(MyCommands));
            saveasfile.InputGestures.Add(new KeyGesture(Key.F12, ModifierKeys.None));

            undo = new RoutedUICommand("Undo", "undo", typeof(MyCommands));
            undo.InputGestures.Add(new KeyGesture(Key.Z, ModifierKeys.Control));
            redo = new RoutedUICommand("Redo", "redo", typeof(MyCommands));
            redo.InputGestures.Add(new KeyGesture(Key.Y, ModifierKeys.Control));

            copy = new RoutedUICommand("Kopieren", "Copy", typeof(MyCommands));
            copy.InputGestures.Add(new KeyGesture(Key.C, ModifierKeys.Control));

            paste = new RoutedUICommand("Einfügen", "Paste", typeof(MyCommands));
            paste.InputGestures.Add(new KeyGesture(Key.V, ModifierKeys.Control));

            cut = new RoutedUICommand("Ausschneiden", "Cut", typeof(MyCommands));
            cut.InputGestures.Add(new KeyGesture(Key.X, ModifierKeys.Control));

            selectall = new RoutedUICommand("Alles markieren", "selectall", typeof(MyCommands));
            selectall.InputGestures.Add(new KeyGesture(Key.A, ModifierKeys.Control));

            search = new RoutedUICommand("Suchen", "search", typeof(MyCommands));
            search.InputGestures.Add(new KeyGesture(Key.F, ModifierKeys.Control));

            searchAgain = new RoutedUICommand("Suchen", "search", typeof(MyCommands));
            searchAgain.InputGestures.Add(new KeyGesture(Key.F3, ModifierKeys.None));



            newInstanz = new RoutedUICommand("Valiadation XSD", "valiadationXSD", typeof(MyCommands));

            newInstanz = new RoutedUICommand("Neue Instanz", "newInstanz", typeof(MyCommands));

            close = new RoutedUICommand("Schließen", "close", typeof(MyCommands));

            wordwrap = new RoutedUICommand("Zeilenumbruch (WordWrap)", "wordwrap", typeof(MyCommands));

        }


        public static RoutedUICommand Copy
        {
            get { return copy; }
        }
        public static RoutedUICommand Paste
        {
            get { return paste; }
        }
        public static RoutedUICommand Cut
        {
            get { return cut; }
        }


        public static RoutedUICommand Newfile
        {
            get { return newfile; }
        }

        public static RoutedUICommand Openfile
        {
            get { return openfile; }
        }

        public static RoutedUICommand Savefile
        {
            get { return savefile; }
        }


        public static RoutedUICommand SaveAsfile
        {
            get { return saveasfile; }
        }


        public static RoutedUICommand Undo
        {
            get { return undo; }
        }
        public static RoutedUICommand Redo
        {
            get { return redo; }
        }


        public static RoutedUICommand Selectall
        {
            get { return selectall; }
        }


        public static RoutedUICommand Search
        {
            get { return search; }
        }


        public static RoutedUICommand SearchAgain
        {
            get { return searchAgain; }
        }



        public static RoutedUICommand NewInstanz
        {
            get { return newInstanz; }
        }

        public static RoutedUICommand Close
        {
            get { return close; }
        }




        public static RoutedUICommand Wordwrap
        {
            get { return wordwrap; }
        }

    }
}
